Class | Bio::Hinv::Acc2hit
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::Acc2hit.new serv.query("acc" => "BC053657") puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 119
    119:       def initialize
    120:         @url = BASE_URI + "acc2hit.php"
    121:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <H-INVITATIONAL-ID>HIT000053961</H-INVITATIONAL-ID>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 127
    127:       def result
    128:         @xml.elements['//H-INVITATIONAL-ID'].text
    129:       end

[Validate]